﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

using RA.Models.Input;

namespace RA.Models.Input
{
	/// <summary>
	/// Organization roles acting upon the related entity
	/// </summary>
	public class OrgRoles
	{
		public OrgRoles()
		{
			AgentRoles = new List<Input.OrgRole>();
		}
		public List<OrgRole> AgentRoles { get; set; }

	}

	/// <summary>
	/// An agent role acting upon the related entity. 
	/// for example accredit by
	/// </summary>
	public class OrgRole
	{
		public OrgRole()
		{
			ActingAgent = new OrganizationReference();
		}
		/// <summary>
		/// A valid role, per CTDL, such as 
		/// ceterms:accreditedBy
		/// ceterms:approvedBy
		/// ceterms:assertedBy
		/// ceterms:ownedBy
		/// ceterms:offeredBy
		/// ceterms:recognizedBy
		/// ceterms:revokedBy
		/// ceterms:renewedBy
		/// </summary>
		public string AgentRole { get; set; }
		public OrganizationReference ActingAgent { get; set; }

	}
}
